Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.http
Class HttpContent.ResourceAsHttpContent

    java.lang.Object
      org.eclipse.jetty.http.HttpContent.ResourceAsHttpContent

All Implemented Interfaces:
  HttpContent

Enclosing interface:
  HttpContent

    public static class HttpContent.ResourceAsHttpContent

extends java.lang.Object
implements HttpContent

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.jetty.http.HttpContent
`HttpContent.ResourceAsHttpContent`

Constructor Summary
`HttpContent.ResourceAsHttpContent(Resource resource, Buffer mimeType)`

Method Summary
`long` | `getContentLength()`
`Buffer` | `getContentType()`
`Buffer` | `getDirectBuffer()`
`Buffer` | `getIndirectBuffer()`
`java.io.InputStream` | `getInputStream()`
`Buffer` | `getLastModified()`
`Resource` | `getResource()`
`void` | `release()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpContent.ResourceAsHttpContent

    public HttpContent.ResourceAsHttpContent(Resource resource,
                                             Buffer mimeType)

Method Detail

### getContentType

    public Buffer getContentType()

  Specified by:
    `getContentType` in interface `HttpContent`

### getLastModified

    public Buffer getLastModified()

  Specified by:
    `getLastModified` in interface `HttpContent`

### getDirectBuffer

    public Buffer getDirectBuffer()

  Specified by:
    `getDirectBuffer` in interface `HttpContent`

### getIndirectBuffer

    public Buffer getIndirectBuffer()

  Specified by:
    `getIndirectBuffer` in interface `HttpContent`

### getContentLength

    public long getContentLength()

  Specified by:
    `getContentLength` in interface `HttpContent`

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Specified by:
    `getInputStream` in interface `HttpContent`
  Throws:
    `java.io.IOException`

### getResource

    public Resource getResource()

  Specified by:
    `getResource` in interface `HttpContent`

### release

    public void release()

  Specified by:
    `release` in interface `HttpContent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.